<!DOCTYPE>
<html>
<head>

<input type="button" onclick="f1()" value="button1">
<input type="button" id="b2" onclick="console.log('Before')" value="button2">
<button onclick="console.log(this.innerHTML)">this:button3</button><!--accessing element with this-->
<input type="button" value="button4" id="b4">

<script>
function f1() //for multiple iterations
{
    for(let i=1; i<=3; i++) 
    {
        console.log("count " + i);
    }
}
b2.onclick = function()// overwrites the existing handler
{ 
    console.log('After'); // only this will be shown
};

//addEventListener
function handler1() 
{
    console.log('click2');
};
function handler2() 
{
    console.log('click3');
}
b2.onclick = () => console.log("click1");
b2.addEventListener("click", handler1); 
b2.addEventListener("click", handler2); 

//removeEventListener
b2.removeEventListener("click",handler2);

//DOMContentLoader
document.addEventListener("DOMContentLoaded", function() {
  console.log("DOM built");
});

//event object
b4.onclick = function(event) 
{
    // show event type, element and coordinates of the click
    console.log(event.type + " at " + event.currentTarget);
    console.log("Coordinates: " + event.clientX + ":" + event.clientY);
  };
</script>
</head>
<body>
</body>
</html>